Bug 889775 - btrfs: general protection fault: set_extent_dirty
btrfs: general protection fault: set_extent_dirty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-23 08:14 EST by Jan Kratochvil
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:19:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-12-23 08:14:43 EST
Description of problem:
Ran eog (image viewer) and the machine has locked up.

Version-Release number of selected component (if applicable):
kernel-3.6.10-2.fc16.x86_64

How reproducible:
Did not try to reproduce but IIRC such lock-ups did happen in the past, I cannot say anything about backtraces in the past.

Steps to Reproduce:
eog *.jpeg

Actual results:

general protection fault: 0000 [#1] SMP
Modules linked in: nfsv4 nfs fscache dns_resolver ppdev parport_pc lp parport hidp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa netconsole ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables xt_LOG xt_recent xt_state ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 snd_hda_codec_hdmi snd_hda_codec_conexant btusb bluetooth arc4 uvcvideo iwldvm videobuf2_core mac80211 videodev media iTCO_wdt iTCO_vendor_support videobuf2_vmalloc snd_usb_audio videobuf2_memops snd_usbmidi_lib snd_rawmidi vhost_net snd_hda_intel macvtap coretemp macvlan tun snd_hda_codec snd_hwdep kvm_intel snd_seq kvm snd_seq_device thinkpad_acpi snd_pcm i2c_i801 microcode uinput e1000e iwlwifi lpc_ich snd_timer mfd_core cfg80211 snd soundcore rfkill snd_page_alloc nfsd lockd nfs_acl auth_rpcgss sunrpc btrfs zlib_deflate libcrc32c xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: ftdi_sio]
CPU 0
Pid: 640, comm: btrfs-transacti Not tainted 3.6.10-2.fc16.x86_64 #1 LENOVO 4291EJ3/4291EJ3
RIP: 0010:[<ffffffff8117979e>]  [<ffffffff8117979e>] kmem_cache_alloc_trace+0x5e/0x150
RSP: 0018:ffff88020b88b800  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8800902ea968 RCX: 000000000ae391c6
RDX: 000000000a867010 RSI: 0000000000000050 RDI: 0000000000016ae0
RBP: ffff88020b88b850 R08: ffff88021e216ae0 R09: ffffffffa0195263
R10: 57ffe8053a7eb180 R11: 0000000000000000 R12: ffff880215802700
R13: 5245564509000000 R14: ffffffffa016eaae R15: 0000000000000050
FS:  0000000000000000(0000) GS:ffff88021e200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007f5044b5e0f0 CR3: 0000000001c0b000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process btrfs-transacti (pid: 640, threadinfo ffff88020b88a000, task ffff880212449720)
Stack:
 ffff88020b88b820 ffffffffa0196540 0000000000000028 ffffffffa017a58e
 ffff88020b88b850 ffff8800902ea968 ffff88020b832000 ffff88020b88b96b
 0000000000000000 ffff88020bd8a990 ffff88020b88b900 ffffffffa016eaae
Call Trace:
 [<ffffffffa0196540>] ? set_extent_dirty+0x20/0x30 [btrfs]
 [<ffffffffa017a58e>] ? btrfs_set_buffer_uptodate+0xe/0x10 [btrfs]
 [<ffffffffa016eaae>] btrfs_alloc_free_block+0x11e/0x330 [btrfs]
 [<ffffffffa017723e>] ? btree_set_page_dirty+0x3e/0x50 [btrfs]
 [<ffffffffa015abd6>] __btrfs_cow_block+0x126/0x4f0 [btrfs]
 [<ffffffffa015b09c>] btrfs_cow_block+0xfc/0x220 [btrfs]
 [<ffffffffa015f2c4>] btrfs_search_slot+0x464/0x920 [btrfs]
 [<ffffffffa016598e>] lookup_inline_extent_backref+0x8e/0x4c0 [btrfs]
 [<ffffffffa0196133>] ? set_extent_bit+0x23/0x30 [btrfs]
 [<ffffffff8117a7cc>] ? kmem_cache_alloc+0x12c/0x160
 [<ffffffffa0167d7d>] __btrfs_free_extent+0xbd/0x700 [btrfs]
 [<ffffffffa01995b9>] ? extent_write_cache_pages.constprop.17+0x379/0x410 [btrfs]
 [<ffffffffa01baa59>] ? btrfs_merge_delayed_refs+0x289/0x300 [btrfs]
 [<ffffffffa016ca43>] run_clustered_refs+0x513/0xb30 [btrfs]
 [<ffffffffa0194a59>] ? flush_epd_write_bio+0x39/0x50 [btrfs]
 [<ffffffffa016d150>] btrfs_run_delayed_refs+0xf0/0x2e0 [btrfs]
 [<ffffffffa017e907>] btrfs_commit_transaction+0x97/0xaf0 [btrfs]
 [<ffffffff81080af0>] ? remove_wait_queue+0x50/0x50
 [<ffffffffa0178a3d>] transaction_kthread+0x19d/0x220 [btrfs]
 [<ffffffffa01788a0>] ? btrfs_destroy_delayed_refs+0x1e0/0x1e0 [btrfs]
 [<ffffffff81080243>] kthread+0x93/0xa0
 [<ffffffff816231c4>] kernel_thread_helper+0x4/0x10
 [<ffffffff810801b0>] ? flush_kthread_worker+0xb0/0xb0
 [<ffffffff816231c0>] ? gs_change+0x13/0x13
Code: 00 4d 8b 04 24 65 4c 03 04 25 e8 db 00 00 49 8b 50 08 4d 8b 28 4d 85 ed 0f 84 e6 00 00 00 49 63 44 24 20 49 8b 3c 24 40 f6 c7 0f <49> 8b 5c 05 00 0f 85 cc 00 00 00 48 8d 4a 01 4c 89 e8 65 48 0f
RIP  [<ffffffff8117979e>] kmem_cache_alloc_trace+0x5e/0x150
 RSP <ffff88020b88b800>

Expected results:
No crash.

Additional info:
The crash dump is from netconsole.
Comment 1 Fedora End Of Life 2013-02-26 10:19:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.